Entur Developer
Products

charging-moment-controller-v-1

Server

Retrieves a charging moment by id

GET
https://api.entur.io/products
/v1/charging-moments/{id}

Retrieves a charging moment by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a charging moment

Retrieves a charging moment by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the charging moment

fromDate
​string · style: form · explode: true

The from date of the charging moments version

toDate
​string · style: form · explode: true

The to date of the charging moments version

Retrieves a charging moment by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a charging moment by id › Responses

Returns the info

A classification of FARE PRODUCTs according to the payment method and the account location: pre-payment with cancellation (throw-away), pre-payment with debit on a value card, pre-payment without consumption registration (pass), post-payment etc.
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:ChargingMoment:Prepaid
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: ChargingMoment
status
​string · enum · readOnly · required

Charging moment status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Charging moment version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string · readOnly

Compatible with version.

derivedFromVersionRef
​string · readOnly

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.


Did you find what you were looking for?